Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fTimeRange

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray
              jet.formula.fRange
                  jet.formula.fTimeRange

All Implemented Interfaces:
  jet.util.DbValueable, jet.util.QuickSortableNode

    public class fTimeRange

extends fRange

The internal representative of the time range data type of the JetReport Formula.

Field Summary

Fields inherited from class jet.formula.fArray
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Fields inherited from interface jet.util.DbValueable
`EQUAL, GREATER, LESS`

Constructor Summary
`fTimeRange()`
`fTimeRange(DbValue[] val, boolean b)`
`fTimeRange(DbValue end, DbValue begin)`
`fTimeRange(int arraysize)`

Method Summary
`java.lang.Object` | `clone()` If there is any exception thrown during the clone, an object created by calling the default constructor will be returned.

Methods inherited from class jet.formula.fRange
`toString`

Methods inherited from class jet.formula.fArray
`compareTo, equals, getArray, getArray, getInstance, isAll, set, set, set, setIsAll, setValue, toStringValue`

Methods inherited from class jet.connect.DbValue
`compareTo, compareTo, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fTimeRange

    public fTimeRange()

### fTimeRange

    public fTimeRange(int arraysize)

### fTimeRange

    public fTimeRange(DbValue end,
                      DbValue begin)

### fTimeRange

    public fTimeRange(DbValue[] val,
                      boolean b)

Method Detail

### clone

    public java.lang.Object clone()

  If there is any exception thrown during the clone, an object created by calling the default constructor will be returned.

  Specified by:
    `clone` in interface `jet.util.DbValueable`
  Specified by:
    `clone` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD